Shoplive API Reference
This page is the complete endpoint reference for the Shoplive External API v2, generated from the same source as the official docs. New to the API? Start with the Getting Started guide, which walks through authentication and three end-to-end topics.
Generating a JWT
When you generate the JWT payload:
Set
expfar enough ahead (the example below sets 3 years)Put
accessKeyin the payload, with the same value as the{accessKey}path parameterSign the JWT with
HS256, using your Base64-decoded secret key as the signing key
Send the JWT in the HTTP request header.
import io.jsonwebtoken.JwtBuilder;
import io.jsonwebtoken.Jwts;
import io.jsonwebtoken.SignatureAlgorithm;
import java.util.Date;
public class JwtAuthorizationGeneratorSample {
public static void main(String[] args) {
String algorithm = "HS256";
String base64EncodedSecretKey = "{secretKey}";
long expiration = System.currentTimeMillis() + 3 * 365 * 24 * (60 * 60 * 1000L);
String accessKey = "{accessKey}";
JwtBuilder builder = Jwts.builder()
.signWith(SignatureAlgorithm.forName(algorithm), base64EncodedSecretKey)
.setExpiration(new Date(expiration))
.setIssuedAt(new Date())
.claim("accessKey", accessKey);
String jwt = builder.compact();
System.out.printf("jwt: " + jwt);
}
}Check the following example of how to use JWT in the header.
curl --location --request GET 'https://private.shopliveapi.com/v2/{accessKey}/campaign/{campaignKey}' \
--header 'Authorization: Bearer {JWT_TOKEN}'A missing or invalid token returns 401 (_s: -824), and an expired token returns 401 (_s: -412).
Next → Campaign object
Campaign object
Property name | Type | Description |
|---|---|---|
campaignMeta | Meta information of the campaign | |
stream | Stream information of the campaign | |
campaignProductList | List<CampaignProduct>? | List of CampaignProduct objects. |
seller | Seller information of the campaign |
CampaignMeta object
Property name | Type | Read only | Description |
|---|---|---|---|
campaignId | String! | O | Automatically generated identifier of the campaign. (numeric string) |
campaignKey | String! | O | Automatically generated alphanumeric key (max 32 bytes). Use this key to specify a campaign in API calls. |
accessKey | String! | O | Unique key for each customer. Most Shoplive APIs require this accessKey. |
shoplivePlayerUrl | String! | O | Player URL provided by Shoplive for test viewing |
title | String! | Title of the campaign | |
description | String? | Description of the campaign | |
campaignStatus | String! | O | RESERVED, READY, REHEARSAL, ONAIR, ENDED |
rerun | Boolean! | O | Boolean flag indicating whether the campaign is a rerun campaign. |
userCount | Integer? | O | Number of viewers in real-time when the campaign status is ONAIR or REHEARSAL. The total number of viewers when the campaign has ended. (when the campaign status is ENDED) * Null when the campaign status is READY. |
concurrentUserCount | Integer? | O | Number of concurrent viewers in real-time when the campaign status is ONAIR or REHEARSAL. * Null when the campaign status is READY or ENDED. |
likeCount | Integer? | O | campaignStatus READY: null campaignStatus REHEARSAL: Number of likes in real-time campaignStatus ONAIR: Number of likes in real-time campaignStatus ENDED: Total number of likes |
rehearsalPasscode | String! | Passcode to enter the live streaming in rehearsal mode | |
serveReplay | Boolean! | Whether to serve a replay after the campaign ends. | |
logoImageUrl | String? | O | Logo image URL |
brand | Brand? | Brand object | |
preCampaignVideoUrl | String? | Pre-campaign Video URL | |
preCampaignImageUrl | String? | Pre-campaign Image URL | |
postCampaignImageUrl | String? | Post-campaign Image URL | |
backgroundImageUrl | String? | Background Image URL | |
ieUnsupportImageUrl | String? | Image for the IE browser | |
tags | List? | Tag information set for the campaign (Max 10 tags can be set) | |
scheduledStartAt | String! | Scheduled start DateTime of the campaign (format: | |
scheduledEndAt | String? | Scheduled end DateTime of the campaign (format: | |
campaignStartedAt | String? | O | Actual start DateTime of the campaign (format: |
campaignEndedAt | String? | O | Actual end DateTime of the campaign (format: |
createdAt | String! | O | Campaign Created At (UTC) (format: |
updatedAt | String! | O | Campaign Last Updated At (UTC) (format: |
Stream object
Property name | Type | Description |
|---|---|---|
streamUrl | String! | RTMP stream URL info for the streaming software (e.g., OBS) |
streamKey | String! | RTMP stream key info for the streaming software (e.g., OBS) |
videoAspectRatio | String! | Video aspect ratio. 9:16 (portrait) or 16:9 (landscape) |
liveUrl | String! | Master m3u8 URL of the live streaming. |
liveUrls | Map<String, String>? | Set of m3u8 URL of the live streaming by resolution (320p, 480p, 720p, 1080p). |
previewLiveUrl | String! | m3u8 URL of the preview video (320p resolution). Preview is a video format to implement a video thumbnail on the web browser. |
replayLiveUrl | String? | Master m3u8 URL of the replay streaming. This value is set only after the campaign is ended. |
replayLiveUrls | Map<String, String>? | Set of m3u8 URL of the replay streaming by resolution (320p, 480p, 720p, 1080p). |
previewReplayLiveUrl | String? | m3u8 URL of the preview replay video (320p resolution). Preview is a video format to implement a video thumbnail on the web browser. This value is set only after the campaign is ended. If the preview parameter is specified with a value of 1 in the query string of the URL, it indicates that the data usage for playing the preview replay video is included in your quota usage. |
CampaignProduct object
Property name | Type | Description |
|---|---|---|
productId | String! | Automatically generated unique product ID |
customerProductId | String? | Customer-defined product ID. Must be unique. |
name | String! | Product name |
brand | String? | Brand name |
description | String? | Description of the product |
brandIdentifier | String? | Brand key |
url | String! | Product URL. Viewers go to this URL when they click the product info on the Shoplive Player. |
sku | String? | Product SKU information (defined by the customer) |
imageUrl | String? | Product thumbnail image URL. Shoplive automatically generates a thumbnail URL when creating a product object. |
currency | String! | Currency of the price |
showPrice | Boolean! | Whether to show the price. |
originalPrice | Double? | e.g. 20.00 ($20.00 if the currency is USD) |
discountPrice | Double? | e.g. 15.00 ($15.00 if the currency is USD) |
discountRate | Double? | e.g. 25.00 (if the discount rate is 25%) |
enableAuction | Boolean! | Whether the product is an auction product |
bidStartingPrice | Double? | Starting price of the auction (e.g. 0.99) |
bidDuration | Integer? | Bidding time of the auction (seconds) |
bidIncrementalAmount | Double? | Incremental amount of the bidding |
extendBidDuration | Boolean? | Whether to extend the remaining time to bid when a bid is placed near the end of the auction. The extension time follows the customer's auction settings. |
ctaButtonTitle | String? | Title of the call-to-action (CTA) button shown for the product. As it requires UI customization, it needs to be discussed with Shoplive. |
seller | Seller information that owns the product | |
createdAt | String! | Date and time when the product was created (format: |
updatedAt | String! | Date and time when the product was last updated (format: |
campaignId | String! | Automatically generated identifier of the campaign. (numeric string) |
visible | Boolean? | ‘visible’ status of the product. |
purchasable | Boolean? | ‘purchasable’ status of the product. |
showingNow | Boolean! | Whether to show the "Now" status of the product. (=pin) |
sortOrder | Integer! | Order of the product presentation. (=listOrder) |
stockStatus | String! | IN_STOCK, LOW_IN_STOCK , SOLD_OUT |
auction | Auction information of the product. |
Auction object
Property name | Type | Description |
|---|---|---|
productId | String! | Automatically generated unique product ID |
auctionStatus | String! | READY, ONGOING, ENDING, ENDED |
startingPrice | Double! | Starting price of the auction |
bidRound | Integer! | Bidding round of the auction |
currentPrice | Double! | Current price of the auction |
winningPrice | Double? | Winning price of the auction |
recommendedPrices | List<Double>? | Recommended bidding price of the auction |
winner | Winning bidder of the auction. | |
leader | The highest bidder of the auction. | |
winnerCheckoutScheme | String? | App scheme through which the winner can purchase the product. |
startedAt | Number? | Actual start DateTime of the auction (format: Timestamp in milliseconds) |
endingAt | Number? | Estimated end DateTime of the auction (format: Timestamp in milliseconds) |
endedAt | Number? | Actual end DateTime of the auction (format: Timestamp in milliseconds) |
Bidder object
Property name | Type | Description |
|---|---|---|
uid | String! | Automatically generated identifier of the user. (numeric string) |
userId | String? | Identifier of the user. (defined by the customer) |
name | String! | Name of the user. |
Sample
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"tags": [ "tag1", "tag2" ],
"campaignStatus": "READY",
"userCount": null,
"likeCount": null,
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8",
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_480p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "IN_STOCK",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 4,
"stockStatus": "IN_STOCK",
"auction": {
"productId": "1004",
"auctionStatus": "READY",
"startingPrice": 7.0,
"bidRound": 1,
"currentPrice": 7.0,
"winningPrice": null,
"recommendedPrices": null,
"winner": null,
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": null,
"endingAt": null,
"endedAt": null
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 5,
"stockStatus": "IN_STOCK",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null,
"sellerIdentifier": "seller_identifier"
}
}
campaignStatus: ONAIR
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"tags": [ "tag1", "tag2" ],
"campaignStatus": "ONAIR",
"userCount": 123,
"likeCount": 3132,
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 3,
"stockStatus": "IN_STOCK",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "IN_STOCK",
"auction": {
"productId": "1004",
"auctionStatus": "ONGOING",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 9.0,
"winningPrice": null,
"recommendedPrices": [
10.0
],
"winner": null,
"leader": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": 1793524950000,
"endedAt": null
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 5,
"stockStatus": "IN_STOCK",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}
campaignStatus: ENDED
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"tags": [ "tag1", "tag2" ],
"campaignStatus": "ENDED",
"userCount": 15923,
"likeCount": 102683,
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": "2026-11-01T10:05:05Z",
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "SOLD_OUT",
"auction": {
"productId": "1004",
"auctionStatus": "ENDED",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 0.0,
"winningPrice": 9.0,
"recommendedPrices": null,
"winner": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": null,
"endedAt": 1793524950000
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 5,
"stockStatus": "SOLD_OUT",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}Previous ← Generating a JWTNext → Search campaigns
Search campaigns
Search campaigns
Header parameters
Path parameters
Query parameters
scheduledStartAt range to search (format: YYYY-MM-DD'T'HH:mm:ss'Z', e.g. 2026-05-20T08:00:00Z)scheduledStartAt range to search (format: YYYY-MM-DD'T'HH:mm:ss'Z', e.g. 2026-05-20T09:00:00Z)ORRESERVED, READY, REHEARSAL, ONAIR, ENDED). Case-insensitive.1234,1235,1236.c7671aa83bd2,6229da3b75d4.false (latest first).false110Responses
Each item in results is a Campaign object.
{
"results": [
{
"campaignMeta": {
"campaignId": "1237",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Ready Liveshow",
"description": "Liveshow Ready description",
"campaignStatus": "READY",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"schemes": null
}
},
{
"campaignMeta": {
"campaignId": "1236",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow Rehearsal",
"description": "Liveshow Rehearsal description",
"campaignStatus": "REHEARSAL",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-10-31T09:00:00Z",
"scheduledEndAt": "2026-10-31T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-10-31T08:15:00Z",
"updatedAt": "2026-10-31T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
},
{
"campaignMeta": {
"campaignId": "1235",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow OnAir",
"description": "Liveshow OnAir description",
"campaignStatus": "ONAIR",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-10-30T09:00:00Z",
"scheduledEndAt": "2026-10-30T10:00:00Z",
"campaignStartedAt": "2026-10-30T09:10:05Z",
"campaignEndedAt": null,
"createdAt": "2026-10-30T08:15:00Z",
"updatedAt": "2026-10-30T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
},
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"campaignStatus": "ENDED",
"rehearsalPasscode": "9876",
"serveReplay": true,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-10-29T09:00:00Z",
"scheduledEndAt": "2026-10-29T10:00:00Z",
"campaignStartedAt": "2026-10-29T09:10:05Z",
"campaignEndedAt": "2026-10-29T10:05:05Z",
"createdAt": "2026-10-29T08:15:00Z",
"updatedAt": "2026-10-29T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"480p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/480p/index.m3u8",
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}
],
"totalCount": 4
}results
campaignMeta
null before the campaign startsnull otherwisenull before it startstruebrand
00stream
liveUrls
seller
0{
"_s": -510,
"_e": "Error message"
}Previous ← Campaign objectNext → Create a campaign
Create a campaign
Example of the request body
{
"campaignMeta": {
"title": "New campaign name here",
"description": "Description of the campaign here",
"tags": ["tag1", "tag2"],
"rehearsalPasscode": "1234",
"serveReplay": true
}
}
Header parameters
Path parameters
Body parameters
{
"campaignMeta": {
"title": "New campaign name here",
"description": "Description of the campaign here",
"tags": [
"tag1",
"tag2"
],
"rehearsalPasscode": "1234",
"serveReplay": true
}
}campaignMeta
brand
YYYY-MM-DDTHH:mm:ss±HH:MM (Z for UTC). Returned in UTCYYYY-MM-DDTHH:mm:ss±HH:MM (Z for UTC). Returned in UTCseller
Responses
The response body is a Campaign object.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New campaign name here",
"description": "Description of the campaign here",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"brand": {
"brandId": "1",
"name": "API V2 Brand",
"identifier": "api_v2_brand",
"description": "API V2 Brand description",
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 2110,
"imageHeight": 317,
"createdAt": "2026-02-22T13:32:50Z",
"updatedAt": "2026-02-22T13:33:46Z"
},
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": {
"sellerId": "1",
"name": "New seller",
"profileUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": {}
}
}campaignMeta
brand
stream
liveUrls
seller
{
"_s": -836,
"_e": "Error message"
}{
"_s": -837,
"_e": "Error message"
}{
"_s": -207,
"_e": "Error message"
}{
"_s": -792,
"_e": "Error message"
}0Previous ← Search campaignsNext → Create a rerun campaign
Create a rerun campaign
Creates a rerun campaign by duplicating an ended campaign.
Header parameters
Path parameters
Body parameters
{
"campaignMeta": {
"title": "rerun campagin title",
"scheduledStartAt": "2026-04-01T01:00:00Z"
},
"copyPopups": true,
"copyProducts": true
}campaignMeta
YYYY-MM-DDTHH:mm:ss±HH:MM (Z for UTC). Returned in UTCtrue.truetrue.trueResponses
The response body is a Campaign object.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New campaign name here",
"description": "Description of the campaign here",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"brand": {
"brandId": "1",
"name": "API V2 Brand",
"identifier": "api_v2_brand",
"description": "API V2 Brand description",
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 2110,
"imageHeight": 317,
"createdAt": "2026-02-22T13:32:50Z",
"updatedAt": "2026-02-22T13:33:46Z"
},
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": {
"sellerId": "1",
"name": "New seller",
"profileUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": {}
}
}campaignMeta
brand
stream
liveUrls
seller
{
"_s": -510,
"_e": "INVALID_ARGUMENT"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Create a campaignNext → Retrieve campaign info
Retrieve campaign info
Retrieves a campaign by campaign key or campaign ID.
Header parameters
Path parameters
Query parameters
false1Responses
The response body is a Campaign object.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"campaignStatus": "ENDED",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": "2026-11-01T10:05:05Z",
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"480p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/480p/index.m3u8",
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "SOLD_OUT",
"auction": {
"productId": "1004",
"auctionStatus": "ENDED",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 0.0,
"winningPrice": 9.0,
"recommendedPrices": null,
"winner": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": null,
"endedAt": 1793524950000
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 5,
"stockStatus": "SOLD_OUT",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}campaignMeta
null before the campaign startsnull otherwisenull before it startstruebrand
00stream
liveUrls
replayLiveUrls
campaignProductList
true000trueseller
true0seller
{
"_s": -510,
"_e": "Error message"
}Previous ← Create a rerun campaignNext → Delete a campaign
Delete a campaign
Deletes the campaign. You can delete a campaign only when its campaignStatus is READY or RESERVED; otherwise the request returns 403 (_s: -114). A campaign that is the source of a rerun campaign cannot be deleted (403, _s: -706). Delete the rerun campaigns first.
Header parameters
Path parameters
Responses
No response body
{
"_s": -710,
"_e": "Campaign does not exist."
}{
"_s": -114,
"_e": "FAIL_TO_DELETE"
}0Previous ← Retrieve campaign infoNext → Duplicate a campaign
Duplicate a campaign
Creates a new campaign by duplicating an existing campaign.
Header parameters
Path parameters
Query parameters
truetrueResponses
The response body is a Campaign object.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"campaignStatus": "ENDED",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": "2026-11-01T10:05:05Z",
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"480p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/480p/index.m3u8",
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}campaignMeta
null before the campaign startsnull otherwisenull before it startstruebrand
00stream
liveUrls
replayLiveUrls
seller
{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Delete a campaignNext → Update a campaign
Update a campaign
Modifiable fields of CampaignMeta object
| Field Name | Type | Description |
|---|---|---|
title |
string | Title of the campaign |
description |
string | Description of the campaign |
rehearsalPasscode |
string | Passcode to enter the live streaming in rehearsal mode |
serveReplay |
boolean | Whether replays are public |
scheduledStartAt |
string | Scheduled start DateTime of the campaign. ISO 8601 with time zone offset, e.g. YYYY-MM-DDTHH:mm:ss±HH:MM (Z for UTC). Returned in UTC |
scheduledEndAt |
string | Scheduled end DateTime of the campaign. ISO 8601 with time zone offset, e.g. YYYY-MM-DDTHH:mm:ss±HH:MM (Z for UTC). Returned in UTC |
tags |
array of string | Tags of the campaign. Send [] to remove all tags; omit to keep the current tags |
brand |
object | Brand of the campaign as {"brandId": …}. Send {} to unlink the brand; omit to keep the current brand |
Header parameters
Path parameters
Body parameters
{
"campaignMeta": {
"title": "New title",
"description": "New description",
"rehearsalPasscode": "1234",
"serveReplay": true,
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z"
}
}campaignMeta
brand
YYYY-MM-DDTHH:mm:ss±HH:MM (Z for UTC). Returned in UTCYYYY-MM-DDTHH:mm:ss±HH:MM (Z for UTC). Returned in UTCResponses
The response body is a Campaign object.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New title",
"description": "New description",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"brand": {
"brandId": "1",
"name": "API V2 Brand",
"identifier": "api_v2_brand",
"description": "API V2 Brand description",
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 2110,
"imageHeight": 317,
"createdAt": "2026-02-22T13:32:50Z",
"updatedAt": "2026-02-22T13:33:46Z"
},
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-30T11:40:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": null
}campaignMeta
brand
stream
liveUrls
{
"_s": -510,
"_e": "Error message"
}Previous ← Duplicate a campaignNext → Search products in a campaign
Search products in a campaign
Search products in a campaign
Header parameters
Path parameters
Responses
Each item in results is a CampaignProduct object.
{
"results": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "IN_STOCK",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": false,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": false,
"sortOrder": 4,
"stockStatus": "IN_STOCK",
"auction": {
"productId": "1004",
"auctionStatus": "READY",
"startingPrice": 7.0,
"bidRound": 1,
"currentPrice": 7.0,
"winningPrice": null,
"recommendedPrices": null,
"winner": null,
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": null,
"endingAt": null,
"endedAt": null
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": false,
"sortOrder": 5,
"stockStatus": "IN_STOCK",
"auction": null
}
],
"totalCount": 5
}results
true000trueseller
true00{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Update a campaignNext → Add products to the campaign
Add products to the campaign
Add products to the campaign
Header parameters
Path parameters
Body parameters
At least one item is required. Each item must specify either productId or customerProductId. Use the same identifier type for all items in one request.
[
{
"productId": 1234
},
{
"productId": 1235
}
]Responses
{
"results": [
{
"productId": "1234",
"message": null,
"status": "SUCCESS"
},
{
"productId": "1235",
"message": "The product is already registered.",
"status": "FAIL"
}
],
"successCount": 1,
"warnCount": 0,
"failCount": 1,
"totalCount": 2
}results
0000{
"_s": -510,
"_e": "Error message"
}Previous ← Search products in a campaignNext → Remove products from the campaign
Remove products from the campaign
Remove products from the campaign
Header parameters
Path parameters
Body parameters
At least one item is required. Each item must specify either productId or customerProductId. Use the same identifier type for all items in one request.
[
{
"productId": 1234
},
{
"productId": 1235
}
]Responses
{
"results": [
{
"productId": "1234",
"message": null,
"status": "SUCCESS"
},
{
"productId": "1235",
"message": "The product has already been removed.",
"status": "FAIL"
}
],
"successCount": 1,
"warnCount": 0,
"failCount": 1,
"totalCount": 2
}results
{
"_s": -510,
"_e": "Error message"
}Previous ← Add products to the campaignNext → Transfer campaign to parent
Transfer campaign to parent
Transfers the campaign from the seller to its parent account.
Header parameters
Path parameters
Query parameters
falseResponses
The response body is a Campaign object.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New title",
"description": "New description",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-30T11:40:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": null
}campaignMeta
stream
liveUrls
{
"_s": -714,
"_e": "Error message"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Remove products from the campaignNext → Search auction products in a campaign
Search auction products in a campaign
Search auction products in a campaign
Header parameters
Path parameters
Query parameters
Responses
Each item in results is a CampaignProduct object.
{
"results": [
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": true,
"bidStartingPrice": 50.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": {
"productId": "1002 ",
"auctionStatus": "READY",
"startingPrice": 50.0,
"bidRound": 1,
"currentPrice": 50.0,
"winningPrice": null,
"recommendedPrices": null,
"winner": null,
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": null,
"endingAt": null,
"endedAt": null
}
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": true,
"bidStartingPrice": 28.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "LOW_IN_STOCK",
"auction": {
"productId": "1003 ",
"auctionStatus": "ONGOING",
"startingPrice": 50.0,
"bidRound": 3,
"currentPrice": 52.0,
"winningPrice": null,
"recommendedPrices": [
53.0
],
"winner": null,
"leader": {
"uid": "350964901054939144",
"name": "shoplive-user"
},
"winnerCheckoutScheme": null,
"startedAt": 1769942592969,
"endingAt": 1769942632969,
"endedAt": null
}
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "SOLD_OUT",
"auction": {
"productId": "1004",
"auctionStatus": "ENDED",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 0.0,
"winningPrice": 9.0,
"recommendedPrices": null,
"winner": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": null,
"endedAt": 1793524950000
}
}
],
"totalCount": 3
}results
true000true000trueseller
true0auction
000winner
null until the auction ends with a winning bid.leader
0{
"_s": -510,
"_e": "Error message"
}Previous ← Transfer campaign to parentNext → Remove all products from the campaign
Remove all products from the campaign
Remove all products from the campaign
Header parameters
Path parameters
Responses
No response body
{
"_s": -510,
"_e": "Error message"
}Previous ← Search auction products in a campaignNext → Change the order of products in a campaign
Change the order of products in a campaign
This API first sorts the products in the order specified in the request body, and then appends the remaining products registered in the campaign in their original order.
Example of the ordering by customerProductId
The original order of the customerProductId values registered in the campaign: sl09, sl08, sl07, sl06, sl05, sl04
Order of the customerProductId values after processing the request: sl04, sl05, sl07, sl09, sl08, sl06
curl --location --request PUT
'https://private.shopliveapi.com/v2/{accessKey}/campaign/{campaignKeyOrId}/product/order'
--header 'Accept: application/json'
--header 'Authorization: Bearer {JWT_TOKEN}'
--header 'Content-Type: application/json'
--data-raw
'[
{"customerProductId": "sl04"},
{"customerProductId": "sl05"},
{"customerProductId": "sl07"}
]'
Error code
| HTTP Status Code | Error code(_s) | Error Message(_e) |
|---|---|---|
404 |
-710 | Campaign does not exist |
404 |
-848 | No products to reorder were found in the campaign |
400 |
-840 | Either the list does not exist or the data does not exist |
Header parameters
Path parameters
Body parameters
At least one item is required. Each item must specify either productId or customerProductId. Use the same identifier type for all items in one request.
[
{
"customerProductId": "sl04"
},
{
"customerProductId": "sl05"
},
{
"customerProductId": "sl07"
}
]Responses
No response body
{
"_s": -510,
"_e": "Error message"
}Previous ← Remove all products from the campaignNext → Retrieve an auction in progress
Retrieve an auction in progress
Retrieve an auction in progress
Header parameters
Path parameters
Responses
The response body is a CampaignProduct object.
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": true,
"bidStartingPrice": 28.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "LOW_IN_STOCK",
"auction": {
"productId": "1003 ",
"auctionStatus": "ONGOING",
"startingPrice": 50.0,
"bidRound": 3,
"currentPrice": 52.0,
"winningPrice": null,
"recommendedPrices": [
53.0
],
"winner": null,
"leader": {
"uid": "350964901054939144",
"name": "shoplive-user"
},
"winnerCheckoutScheme": null,
"startedAt": 1769942592969,
"endingAt": 1769942632969,
"endedAt": null
}
}true000true000trueseller
true0auction
000winner
null until the auction ends with a winning bid.leader
00{
"_s": -510,
"_e": "Error message"
}Previous ← Change the order of products in a campaignNext → Transfer campaign to seller
Transfer campaign to seller
Transfer campaign to seller
Header parameters
Path parameters
Query parameters
falseResponses
The response body is a Campaign object.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New title",
"description": "New description",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-30T11:40:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": {
"sellerId": "3",
"name": "Live store",
"profileUrl": "https://image.shoplive.cloud/e2e1d1dc-6699-4652-a2f0-c6bae9efab2c.jpg",
"storeUrl": "https://www.shoplive.cloud/en#func01",
"description": "Live commerce store",
"schemes": {}
}
}campaignMeta
stream
liveUrls
seller
{
"_s": -510,
"_e": "Error message"
}{
"_s": -207,
"_e": "Error message"
}{
"_s": -714,
"_e": "Error message"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Retrieve an auction in progressNext → Popup object
Popup object
Popup list item
Fields returned for each item in the array when you query the popups registered to a campaign (GET /v2/{accessKey}/campaign/{campaignKeyOrId}/popup).
| Field | Type | Description |
|---|---|---|
popupResourceId | string | Identifier of the popup |
title | string | Popup title (admin-facing label) |
description | string | Popup description (admin-facing memo) |
contents | object | Popup type-specific content. When popupType is COUPON, it has the shape described in "contents (COUPON)" below |
dismissType | string | KEEP / AUTO / MANUAL |
popupType | string | Popup type. The External API can create COUPON popups only. The list can also include popups of other types created in the console, so skip popups whose type is not COUPON |
dimmed | boolean | Whether the background dim is applied. Not applied to COUPON popups |
duration | integer | Display duration in seconds. 0 means no limit |
showingNow | boolean | Whether the popup is currently shown to live viewers |
clickCount | integer | Cumulative click count |
usedAt | integer | Epoch milliseconds (UTC) of the first time the popup was shown. null if it has never been shown |
createdAt | integer | Creation time in epoch milliseconds (UTC) |
updatedAt | integer | Last update time in epoch milliseconds (UTC) |
Coupon popup request (create/update request body)
Top-level fields of the request body for POST/PUT .../popup/coupon(/{popupResourceId}).
| Field | Type | Required | Description |
|---|---|---|---|
title | string | Optional | Popup title (admin-facing label) |
description | string | Optional | Popup description (admin-facing memo) |
popupType | string | Required | Fixed to COUPON. Any other value returns 400 |
contents | object | Required | See "contents (COUPON)" below |
dismissType | string | Optional | KEEP / AUTO / MANUAL. Defaults to AUTO |
dimmed | boolean | Optional | Whether the background dim is applied. Defaults to false. Not applied to COUPON popups |
duration | integer | Optional | Display duration in seconds. Defaults to 0 (no limit) |
broadcastStrategy | object | Optional | Delivery strategy. Defaults to {"type":"ALL_AT_ONCE"} |
tags | array<string> | Optional | Tags assigned to the popup |
The following fields are set by the server, so you don't need to send them: id, customerId, seller, adminId, adminName, createdAt, updatedAt.
contents (COUPON)
| Field | Type | Required | Description |
|---|---|---|---|
popupType | string | Required | Fixed to COUPON. Must match the top-level popupType |
title | string | Optional | Title of the popup content (separate from the top-level title) |
description | string | Optional | Description of the popup content |
couponDeliveryType | string | Optional | INSTANT (deliver immediately) or DWELL_TIME (deliver after a dwell time). When omitted, it behaves as INSTANT |
couponDeliverySeconds | integer | Optional | Dwell time in seconds before the coupon is delivered. It only takes effect when couponDeliveryType is DWELL_TIME; set a value greater than 0 in that case |
imageUrl | string | Optional | Coupon image URL. Cannot be sent together with imageBase64 (400). PNG, JPEG or GIF up to 5MB only; redirecting URLs are not supported. External URLs are converted to a Shoplive CDN URL (image.shoplive.cloud) |
imageBase64 | string | Optional | Base64-encoded image (without the data: prefix). PNG, JPEG or GIF up to 5MB only. Cannot be sent together with imageUrl (400) |
imageContentType | string | Optional | MIME type of the image |
imageWidth | integer | Optional | Display width in pixels. When 0 (default), the player renders it at its default width of 164px |
textImageListTitle | string | Optional | Title of the text+image list |
textImageList | array<object> | Optional | Each item has the shape {"imageUrl": string, "text": string, "popupType": "TEXT_IMAGE", "action": string|null} |
action | string | Optional | Only CUSTOM_ACTION or null (omitted) is allowed. Any other value returns 400 |
payload | string | Optional | A JSON-serialized string (not an object). Returns 400 if it is not valid JSON. To match the coupon, include {"coupon":"<couponId>"} |
link | string | Optional | Deprecated. Do not use for new integrations |
Enumerations
| Type | Value | Description |
|---|---|---|
PopupType | COUPON | Coupon popup. The only type that can be created through the External API. Other types such as NOTICE/BANNER are created in the console and can still appear in the popup list |
DismissType | KEEP | Always shown on screen |
AUTO | Disappears immediately on click (default) | |
MANUAL | Stays until the client closes it explicitly | |
CouponDeliveryType | INSTANT | Deliver the coupon immediately (also used when couponDeliveryType is omitted) |
DWELL_TIME | Deliver after couponDeliverySeconds seconds of dwell time |
Previous ← Transfer campaign to sellerNext → Search popups in a campaign
Search popups in a campaign
Retrieves the list of popups registered to a campaign. The response is a JSON array of popup items.
Header parameters
Path parameters
Responses
Each item in the array is a Popup list item.
[
{
"popupResourceId": "4297",
"title": "Live-only coupon #1",
"description": null,
"contents": {
"popupType": "COUPON",
"title": null,
"description": null,
"couponDeliveryType": "INSTANT",
"couponDeliverySeconds": null,
"link": null,
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 120,
"textImageListTitle": null,
"textImageList": [],
"action": "CUSTOM_ACTION",
"payload": "{\"coupon\":\"123\"}"
},
"dismissType": "AUTO",
"popupType": "COUPON",
"dimmed": false,
"duration": 0,
"showingNow": false,
"clickCount": 0,
"usedAt": null,
"createdAt": 1793520900000,
"updatedAt": 1793520900000
}
]contents
COUPON popup. Contents of other popup types have different fields and are not documented herepopupType (COUPON for coupon popups)INSTANT (immediately) or DWELL_TIME (after a dwell time). If empty, it works as INSTANT.couponDeliveryType is DWELL_TIMEimage.shoplive.cloud)0textImageList
TEXT_IMAGETEXT_IMAGECUSTOM_ACTION or null (omitted) is allowed. Any other value returns 400{"coupon":"<couponId>"}.COUPON.null if it has never been shown.Previous ← Popup objectNext → Create a coupon popup
Create a coupon popup
Creates one coupon popup and links it to the campaign. This is handled atomically in a single transaction. The response returns only the identifier of the created popup — use the popup list endpoint (GET) to check the full state.
Validation rules: popupType must be COUPON both at the top level and inside contents. contents.action only allows CUSTOM_ACTION or omission; any other value returns 400. contents.payload, when present, must be a valid JSON string, or the request returns 400. To match the coupon, include {"coupon":"<couponId>"} in contents.payload. Only one of contents.imageUrl or contents.imageBase64 may be sent (sending both returns 400); an external image is synchronously downloaded by the server and converted to the Shoplive CDN (image.shoplive.cloud) before saving. A base64 image larger than 5MB (decoded bytes) returns 400.
Header parameters
Path parameters
Body parameters
{
"title": "Live-only coupon #1",
"popupType": "COUPON",
"dismissType": "AUTO",
"dimmed": false,
"duration": 0,
"broadcastStrategy": {
"type": "ALL_AT_ONCE"
},
"contents": {
"popupType": "COUPON",
"couponDeliveryType": "INSTANT",
"imageUrl": "https://cdn.example.com/coupon.png",
"imageWidth": 120,
"action": "CUSTOM_ACTION",
"payload": "{\"coupon\":\"123\"}"
}
}COUPON. Any other value returns 400COUPONcontents
popupType is fixed to COUPONCOUPON. Must match the top-level popupTypeCOUPONINSTANT (immediately) or DWELL_TIME (after a dwell time). Optional — when omitted, it behaves as INSTANTcouponDeliveryType is DWELL_TIMEimageBase64 (400). PNG, JPEG or GIF up to 5MB only; redirecting URLs are not supported. External URLs are converted to a Shoplive CDN URL (image.shoplive.cloud).data: prefix). PNG, JPEG or GIF up to 5MB only. Cannot be used together with imageUrl (400).0textImageList
TEXT_IMAGETEXT_IMAGECUSTOM_ACTION or null (omitted) is allowed. Any other value returns 400{"coupon":"<couponId>"}.AUTOAUTOCOUPON popups.false0broadcastStrategy
{"type":"ALL_AT_ONCE"}ALL_AT_ONCEResponses
{
"popupResourceId": "4297"
}{
"_s": -510,
"_e": "INVALID_ARGUMENT"
}{
"_s": -510,
"_e": "contents.payload is not valid JSON"
}{
"_s": -510,
"_e": "provide either contents.imageBase64 or contents.imageUrl, not both"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Search popups in a campaignNext → Update a coupon popup
Update a coupon popup
Updates the metadata/content of a coupon popup registered to the campaign. The request shape is the same as create. You don't need to send id/customerId/seller/adminId/adminName/createdAt/updatedAt; the server sets them. Only COUPON popups can be updated. Returns 404 if the target {popupResourceId} is not registered to this campaign or is not a COUPON popup. There is no response body — check the updated state with the popup list endpoint (GET).
Validation rules are the same as create: contents.action only allows CUSTOM_ACTION or omission, contents.payload must be a valid JSON string when present, contents.imageUrl/contents.imageBase64 cannot be used together (400), and the 5MB limit applies.
If this popup is also linked to other campaigns, changes to contents/dismissType/duration are applied to all linked campaigns at once.
Header parameters
Path parameters
Body parameters
{
"title": "Live-only coupon #1",
"popupType": "COUPON",
"dismissType": "AUTO",
"dimmed": false,
"duration": 0,
"broadcastStrategy": {
"type": "ALL_AT_ONCE"
},
"contents": {
"popupType": "COUPON",
"couponDeliveryType": "INSTANT",
"imageUrl": "https://cdn.example.com/coupon.png",
"imageWidth": 120,
"action": "CUSTOM_ACTION",
"payload": "{\"coupon\":\"123\"}"
}
}COUPON. Any other value returns 400COUPONcontents
popupType is fixed to COUPONCOUPON. Must match the top-level popupTypeCOUPONINSTANT (immediately) or DWELL_TIME (after a dwell time). Optional — when omitted, it behaves as INSTANTcouponDeliveryType is DWELL_TIMEimageBase64 (400). PNG, JPEG or GIF up to 5MB only; redirecting URLs are not supported. External URLs are converted to a Shoplive CDN URL (image.shoplive.cloud).data: prefix). PNG, JPEG or GIF up to 5MB only. Cannot be used together with imageUrl (400).0textImageList
TEXT_IMAGETEXT_IMAGECUSTOM_ACTION or null (omitted) is allowed. Any other value returns 400{"coupon":"<couponId>"}.AUTOAUTOCOUPON popups.false0broadcastStrategy
{"type":"ALL_AT_ONCE"}ALL_AT_ONCEResponses
No response body
{
"_s": -510,
"_e": "INVALID_ARGUMENT"
}{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Create a coupon popupNext → Unlink a popup from the campaign
Unlink a popup from the campaign
Unlinks a popup from the campaign. The popup resource itself is not deleted (it can only be permanently deleted from the console). If it was linked to other campaigns, those links remain unchanged. If the popup is currently shown (showingNow is true in the popup list), this returns 409; deactivate it first.
Header parameters
Path parameters
Responses
No response body
{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -116,
"_e": "popup is currently showing; deactivate first before unlink"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Update a coupon popupNext → Activate a popup
Activate a popup
Shows the popup to live viewers immediately. After this call, the popup's showingNow is true in the popup list response.
Idempotent: calling this again when showingNow is already true returns 204 without changing anything (safe to retry or call more than once).
Header parameters
Path parameters
Query parameters
0Responses
No response body
{
"_s": -510,
"_e": "broadcastDelay must be non-negative"
}{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Unlink a popup from the campaignNext → Deactivate a popup
Deactivate a popup
Hides the popup from live viewers immediately. After this call, the popup's showingNow is false in the popup list response.
Idempotent: calling this again when showingNow is already false returns 204 without changing anything (safe to retry or call more than once).
Header parameters
Path parameters
Query parameters
0Responses
No response body
{
"_s": -510,
"_e": "broadcastDelay must be non-negative"
}{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0Previous ← Activate a popupNext → Product object
Product object
Property name | Type | Description |
|---|---|---|
productId | String! | Automatically generated unique product ID. |
customerProductId | String? | Customer-defined product ID. Must be unique. |
name | String! | Product name. |
brand | String? | Brand name. |
brandIdentifier | String? | Brand key (identifier) of the product, set by the customer. |
description | String? | Description of the product. |
url | String! | Product URL. Viewers go to this URL when they click the product info on the Shoplive Player. |
sku | String? | Product SKU information (defined by the customer) |
imageUrl | String? | Product image URL. |
currency | String! | Currency of the price. |
showPrice | Boolean! | Whether to show the price on the Shoplive Player. |
originalPrice | Double? | e.g. 20.00 ($20.00 if the currency is USD) |
discountPrice | Double? | e.g. 15.00 ($15.00 if the currency is USD) |
discountRate | Double? | e.g. 25.00 (if the discount rate is 25%) |
enableAuction | Boolean! | Whether the product supports an auction. |
bidStartingPrice | Double? | Starting price of the auction (e.g. 0.99). Required when |
bidDuration | Integer? | Bidding duration of the auction in seconds. This value is required when the |
bidIncrementalAmount | Double? | Bid increment amount (e.g. 1.00). Required when |
extendBidDuration | Boolean? | Whether to extend the remaining time to bid when a bid is placed near the end of the auction. The extension time follows the customer's auction settings. |
ctaButtonTitle | String? | You can customize the CTA(call-to-action) title of the product. As it requires UI customization, it needs to be discussed with Shoplive. Please contact ask@shoplive.cloud if you want to use this feature. |
locked | Boolean! |
|
seller | Seller information that owns the product. | |
createdAt | String! | Date and time when the product was created (format: |
updatedAt | String! | Date and time when the product was last updated (format: |
Sample
General product
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"brandIdentifier": "SHOPLIVE_BRAND_IDENTIFIER",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"ctaButtonTitle": "Buy It Now",
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}Auction product
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"brandIdentifier": "SHOPLIVE_BRAND_IDENTIFIER",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"ctaButtonTitle": "Bid",
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}Previous ← Deactivate a popupNext → Search products
Search products
Search products
Header parameters
Path parameters
Query parameters
false (newest first).false130Responses
Each item in results is a Product object.
{
"results": [
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}
],
"totalCount": 5
}results
true000truetrueseller
0{
"_s": -510,
"_e": "Error message"
}Previous ← Product objectNext → Create products
Create products
Creates products. This is not an upsert: an item whose customerProductId already exists returns status: FAIL. Each item's status is CREATE, WARN (created, but the image could not be loaded) or FAIL.
Header parameters
Path parameters
Body parameters
At least one item is required.
[
{
"customerProductId": "CUSTOMER_PRODUCT_ID_12345",
"name": "TEST PRODUCT",
"url": "TEST_URL"
}
]status FAIL.status FAIL)enableAuction is true.enableAuction is true.enableAuction is true.true to turn it on. The extension time follows the customer's auction settings.seller
Responses
{
"results": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": "Keyring description",
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "New seller",
"profileUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": {}
},
[...]
